View Revisions: Issue #4978

Summary 0004978: Get rid of pyside and shiboken (deprecated by pyside2)
Revision 2018-09-18 13:08 by rhertzog
Description pyside (version 1) and shiboken have been dropped from Debian Testing a while ago as it's deprecated, applications should switch to pyside2 (or something else). We have kept it around in Kali for a while but now is time to get applications updated or removed.

The following applications do depend on pyside 1.x currently:
- iphone-backup-analyzer
- rfcat
- sparta (for python-pyside.qtwebkit which is not available in pyside2!)
- ubertooth (in recommends)

We should open upstream tickets asking them their plan to switch to pyside2 or something else.
Revision 2018-09-11 14:27 by rhertzog
Description pyside (version 1) has been dropped from Debian Testing a while ago as it's deprecated, applications should switch to pyside2 (or something else). We have kept it around in Kali for a while but now is time to get applications updated or removed.

The following applications do depend on pyside 1.x currently:
- iphone-backup-analyzer
- rfcat
- sparta (for python-pyside.qtwebkit which is not available in pyside2!)
- ubertooth (in recommends)

We should open upstream tickets asking them their plan to switch to pyside2 or something else.